<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: -->
    <rich:tab id="analysisTab" name="analysisTab" header="#{messages['net.ihe.gazelle.mca.MessageContentAnalyzer']}" rendered="#{managedBean.showMessageAnalyzerInGui}">
        <s:div id="analyze" rendered="#{analysisBeanGui.analysis == null}">
            <a4j:commandButton id="forwardToAnalysis"
                               actionListener="#{analysisBeanGui.execute(managedBean.presenter.document,managedBean.getUploadedFileName(),null)}"
                               value="#{messages['net.ihe.gazelle.mca.Analyze']}"
                               render="analysisTab"
                               styleClass="gzl-btn-blue"/>
        </s:div>
        <s:div id="analysis" rendered="#{analysisBeanGui.analysis != null}" styleClass="document-long-viewer">
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:param name="id" value="nameInput"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.mca.Permanent.Link']} :</ui:define>
                    <h:outputLink
                            value="#{analysisBeanGui.getPermanentLink(analysisBeanGui.analysis)}"
                            target="_blank">
                        <h:outputText
                                value="#{analysisBeanGui.getPermanentLink(analysisBeanGui.analysis)}"/>
                    </h:outputLink>
                </s:decorate>
            </dl>
            <ui:include src="/common/_messageContentAnalyzerResultDiv.xhtml"/>
        </s:div>
    </rich:tab>

</ui:composition>